<?php

require_once("class_RokuSoundBridge.php");

$ip = "192.168.0.150"; // Your SoundBridge's IP address

$soundbridge = &new RokuSoundBridge();

// get_state() is the only method that can be called without first calling
// the connect() method
if (!$soundbridge->get_state($ip,8080)) die("Error: ".$soundbridge->error);
if ($soundbridge->is_playing) echo "NOW PLAYING! ";
if ($soundbridge->is_paused) echo "NOW PAUSED! ";
echo "Soundbridge is currently ";
if ($soundbridge->track) echo "on track {$soundbridge->track}, and is ";
echo $soundbridge->state.".<br>";

// connect to the SoundBridge
if (!$soundbridge->connect($ip)) die("Error: ".$soundbridge->error);

// display a message on its LED screen for 2 seconds
$soundbridge->display(
"Displayed via RokuSoundBridge class!",
"Visit http://code.blitzaffe.com",
2000000
);

echo "SoundBridge has been up and running for ".$soundbridge->uptime()." seconds.<br>";

echo "Process list:<br><pre>" .
print_r($soundbridge->process_list(),true) . "</pre><br>";

echo "Network Interfaces:<br><pre>" .
print_r($soundbridge->network_interfaces()) . "</pre><br>";

$soundbridge->disconnect();


?>
